#---
# Excerpted from "Rails Test Prescriptions",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/nrtest for more book information.
#---
require 'fileutils'

FileUtils.mkdir_p('vendor/gems')

Dir.chdir('vendor/gems') do 
  %x[git clone git://github.com/pivotal/jasmine-gem.git jasmine]

  Dir.chdir('jasmine') do 
    %x[git submodule update --init]
    %x[git fetch origin rspec2-rails3]
    %x[git checkout rspec2-rails3]
    %x[ruby copy_examples.rb]
  end
end