#---
# Excerpted from "Rails Test Prescriptions",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/nrtest for more book information.
#---
require "spec_helper"

describe StatusReportsController do
  describe "routing" do

        it "recognizes and generates #index" do
      { :get => "/status_reports" }.should route_to(:controller => "status_reports", :action => "index")
    end

        it "recognizes and generates #new" do
      { :get => "/status_reports/new" }.should route_to(:controller => "status_reports", :action => "new")
    end

    it "recognizes and generates #show" do
      { :get => "/status_reports/1" }.should route_to(:controller => "status_reports", :action => "show", :id => "1")
    end

    it "recognizes and generates #edit" do
      { :get => "/status_reports/1/edit" }.should route_to(:controller => "status_reports", :action => "edit", :id => "1")
    end

    it "recognizes and generates #create" do
      { :post => "/status_reports" }.should route_to(:controller => "status_reports", :action => "create")
    end

    it "recognizes and generates #update" do
      { :put => "/status_reports/1" }.should route_to(:controller => "status_reports", :action => "update", :id => "1")
    end

    it "recognizes and generates #destroy" do
      { :delete => "/status_reports/1" }.should route_to(:controller => "status_reports", :action => "destroy", :id => "1")
    end

  end
end
