#---
# Excerpted from "Rails Test Prescriptions",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/nrtest for more book information.
#---
require 'spec_helper'

describe "status_reports/index.html.erb" do
  before(:each) do
    assign(:status_reports, [
      stub_model(StatusReport,
        :project => nil,
        :user => nil,
        :yesterday => "MyText",
        :today => "MyText"
      ),
      stub_model(StatusReport,
        :project => nil,
        :user => nil,
        :yesterday => "MyText",
        :today => "MyText"
      )
    ])
  end

  it "renders a list of status_reports" do
    render
    rendered.should have_selector("tr>td", :content => nil.to_s, :count => 2)
    rendered.should have_selector("tr>td", :content => nil.to_s, :count => 2)
    rendered.should have_selector("tr>td", :content => "MyText".to_s, :count => 2)
    rendered.should have_selector("tr>td", :content => "MyText".to_s, :count => 2)
  end
end
