/***
 * Excerpted from "Rails Test Prescriptions",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material, 
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/nrtest for more book information.
***/
var default_text = "Type Name or Company";

function search_focus(element) {
  if (element.attr('value') == default_text) {
    element.attr('value', ''); 
    element.addClass('search_entry'); 
    element.removeClass('search_default');
  };
}

function search_blur(element) {
  if (element.attr('value') == '') {
    element.attr('value', default_text);  
    element.addClass('search_default'); 
    element.removeClass('search_entry');
  };
}