#---
# Excerpted from "Rails Test Prescriptions",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/nrtest for more book information.
#---
require File.expand_path(File.dirname(__FILE__) + '/../spec_helper')

describe StatusReport do   
  before(:each) do
    @valid_attributes = {
      :project_id => 1,
      :user_id => 1,
      :yesterday => "value for yesterday",
      :today => "value for today",
      :status_date => Date.today
    }
  end

  it "should create a new instance given valid attributes" do 
    StatusReport.create!(@valid_attributes)
  end 
end
